# QTabWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QTabWidget(QWidget parent)

### Constructor Properties

- prototype: The QTabWidget prototype object
- Rounded
- Triangular
- TabShape( value )
- North
- South
- West
- East
- TabPosition( value )

### Prototype Object Properties

The QTabWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- int addTab(QWidget widget, QIcon icon, String label)
- void clear()
- QWidget cornerWidget(Corner corner)
- QWidget currentWidget()
- int indexOf(QWidget widget)
- int insertTab(int index, QWidget widget, QIcon icon, String label)
- bool isTabEnabled(int index)
- QSize minimumSizeHint()
- void removeTab(int index)
- void setCornerWidget(QWidget w, Corner corner)
- void setTabEnabled(int index, bool arg__2)
- void setTabIcon(int index, QIcon icon)
- void setTabText(int index, String arg__2)
- void setTabToolTip(int index, String tip)
- void setTabWhatsThis(int index, String text)
- QSize sizeHint()
- QIcon tabIcon(int index)
- String tabText(int index)
- String tabToolTip(int index)
- String tabWhatsThis(int index)
- QWidget widget(int index)

### Instance Properties

QTabWidget objects inherit properties from the QTabWidget prototype object and also have the following properties.

- tabPosition
- tabShape
- currentIndex
- count
- iconSize
- elideMode
- usesScrollButtons
- documentMode
- tabsClosable
- movable